org.eclipse.incquery.viewers.runtime.model.listeners

## Class AbstractViewerStateListener

- java.lang.Object
- - org.eclipse.incquery.viewers.runtime.model.listeners.AbstractViewerStateListener

- All Implemented Interfaces:
    IViewerStateListener
  Direct Known Subclasses:
    ListContentProvider, TreeContentProvider

      public abstract class AbstractViewerStateListener
      extends java.lang.Object
      implements IViewerStateListener

  An empty implementation of the `IViewerStateListener` interface.
  Author:
    Zoltan Ujhelyi

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractViewerStateListener()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `containmentAppeared(Containment containment)`
    `void` | `containmentDisappeared(Containment containment)`
    `void` | `edgeAppeared(Edge edge)`
    `void` | `edgeDisappeared(Edge edge)`
    `void` | `itemAppeared(Item item)`
    `void` | `itemDisappeared(Item item)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractViewerStateListener

          public AbstractViewerStateListener()

  - ### Method Detail

    - #### itemAppeared

          public void itemAppeared(Item item)

      Specified by:
        `itemAppeared` in interface `IViewerStateListener`

    - #### itemDisappeared

          public void itemDisappeared(Item item)

      Specified by:
        `itemDisappeared` in interface `IViewerStateListener`

    - #### containmentAppeared

          public void containmentAppeared(Containment containment)

      Specified by:
        `containmentAppeared` in interface `IViewerStateListener`

    - #### containmentDisappeared

          public void containmentDisappeared(Containment containment)

      Specified by:
        `containmentDisappeared` in interface `IViewerStateListener`

    - #### edgeAppeared

          public void edgeAppeared(Edge edge)

      Specified by:
        `edgeAppeared` in interface `IViewerStateListener`

    - #### edgeDisappeared

          public void edgeDisappeared(Edge edge)

      Specified by:
        `edgeDisappeared` in interface `IViewerStateListener`